TIFFREADRAWTILE(3tiff)

NAME
TIFFReadRawTile - return an undecoded tile of data from an open TIFF file

SYNOPSIS

    #include <tiffio.h>

tmsize_t TIFFReadRawTile(TIFF *tif, uint32_t tile, void *buf, tmsize_t size)

DESCRIPTION

Read the contents of the specified tile into the (user supplied) data buffer. Note that the value of tile is a "raw tile number". That is, the caller must take into account whether or not the data is organized in separate planes (PlanarConfiguration = 2). TIFFComputeTile() <#c.TIFFComputeTile> automatically does this when converting an (x,y,z,sample) coordinate quadruple to a tile number. To read a full tile of data the data buffer should typically be at least as large as the value returned by TIFFTileSize() <#c.TIFFTileSize>.

RETURN VALUES

The actual number of bytes of data that were placed in buf is returned; TIFFReadRawTile() returns -1 if an error was encountered.

DIAGNOSTICS

All error messages are directed to the TIFFErrorExtR() <#c.TIFFErrorExtR> routine.

SEE ALSO

TIFFOpen <> (3tiff), TIFFReadEncodedTile <> (3tiff), TIFFReadTile <> (3tiff), TIFFtile <> (3tiff), libtiff <> (3tiff)

Author
LibTIFF contributors

Copyright
1988-2025, LibTIFF contributors